%define	ver	1.3.1
%define rel	1
Summary:		Mpeg library
Name:			mpeg_lib
Version:		%ver
Release:		%rel
License:		GPL
Group:			Libraries
Source0:		ftp://ftp.mni.mcgill.ca/pub/mpeg/mpeg_lib-1.3.1.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}

%description
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.

A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

%package devel
Summary:	Mpeg library devel package
Group:		Development

%description devel
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.
 
A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

This package contains static libraries and header files need for development.

%prep
%setup -q -n mpeg_lib-%{ver}

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fPIC"
%configure --disable-nls

make CFLAGS="$RPM_OPT_FLAGS"
make shlib CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 libmpeg.so $RPM_BUILD_ROOT/usr/lib/libmpeg.so.1.3.1
install -D -m 644 libmpeg.a $RPM_BUILD_ROOT/usr/lib/libmpeg.a
install -D -m 644 mpeg.h $RPM_BUILD_ROOT/usr/include/mpeg.h
(cd  $RPM_BUILD_ROOT/usr/lib/; ln -s libmpeg.so.1.3.1 libmpeg.so; \
	ln -s libmpeg.so.1.3.1 libmpeg.so.1)

chmod 755 $RPM_BUILD_ROOT/usr/lib/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/*.so
/usr/lib/*.so.*

%files devel
/usr/lib/*.a
/usr/include
